Returns the format of the Imagick object

- « Imagick::getFont

- Imagick::getGravity »

- PHP Manual
- Imagick
- Returns the format of the Imagick object

# Imagick::getFormat

(PECL imagick 2, PECL imagick 3)

Imagick::getFormat — Returns the format of the Imagick object

### Description

public Imagick::getFormat(): string

Returns the format of the Imagick object.

### Parameters

This function has no parameters.

### Return Values

Returns the format of the image.

### Errors/Exceptions

Throws ImagickException on error.